Name:           perl-Ima-DBI
Version:        0.35
Release:    1%{?dist}
Summary:        Database connection caching and organization
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Ima-DBI
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PERRIN/Ima-DBI-%{version}.tar.gz

BuildArch:      noarch
BuildRequires: make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Data::Inheritable) >= 0.02
BuildRequires:  perl(DBI) >= 1.2
BuildRequires:  perl(DBIx::ContextualFetch) >= 1
BuildRequires:  perl(strict)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Test::More) >= 0.18
Requires:  perl(Carp)
Requires:  perl(Class::Data::Inheritable) >= 0.02
Requires:  perl(DBI) >= 1.2
Requires:  perl(DBIx::ContextualFetch) >= 0.02

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Class::Data::Inheritable|DBI)\\)

%description
%{summary}.

%prep
%setup -q -n Ima-DBI-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%check
make test

%files
%doc Changes
%{perl_vendorlib}/Ima
%{_mandir}/man3/*.3*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.35-1
- initial build
